net.minecraftforge.client

## Class MinecraftForgeClient

- java.lang.Object
- - net.minecraftforge.client.MinecraftForgeClient

-     public class MinecraftForgeClient
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinecraftForgeClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IItemRenderer` | `getItemRenderer(ItemStack item, IItemRenderer.ItemRenderType type)`
    `static int` | `getRenderPass()`
    `static int` | `getStencilBits()`
    `static void` | `registerItemRenderer(Item item, IItemRenderer renderer)` Register a custom renderer for a specific item.
    `static void` | `releaseStencilBit(int bit)` Release the stencil bit for other use
    `static int` | `reserveStencilBit()` Reserve a stencil bit for use in rendering

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinecraftForgeClient

          public MinecraftForgeClient()

  - ### Method Detail

    - #### registerItemRenderer

          public static void registerItemRenderer(Item item,
                                  IItemRenderer renderer)

      Register a custom renderer for a specific item. This can be used to render the item in-world as an EntityItem, when the item is equipped, or when the item is in an inventory slot.
      Parameters:
        `itemID` - The item ID (shifted index) to handle rendering.
        `renderer` - The IItemRenderer interface that handles rendering for this item.

    - #### getItemRenderer

          public static IItemRenderer getItemRenderer(ItemStack item,
                                      IItemRenderer.ItemRenderType type)

    - #### getRenderPass

          public static int getRenderPass()

    - #### getStencilBits

          public static int getStencilBits()

    - #### reserveStencilBit

          public static int reserveStencilBit()

      Reserve a stencil bit for use in rendering
      Returns:
        A bit or -1 if no further stencil bits are available

    - #### releaseStencilBit

          public static void releaseStencilBit(int bit)

      Release the stencil bit for other use
      Parameters:
        `bit` - The bit from `reserveStencilBit()`